Customer Part To Item
The customer part to item resource.
Base/customerPartToItem
GET
/customerPartToItemList customer part to items
Retrieve a paginated list of customer part to items. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/customerPartToItem
curl --request GET \
--url '<your-host>/customerPartToItem?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"customerId": "xyz789",
"customerPartId": "xyz789",
"itemId": "xyz789",
"companyId": "xyz789",
"customerPartRevision": "string"
}
]GET
/customerPartToItemRetrieve a customer part to item
Fetch a single customer part to item by filtering on `id`.
Query parameters
idstringMatch on the customer part to item's `id`, e.g. `eq.{id}`.
GET/customerPartToItem
curl --request GET \
--url '<your-host>/customerPartToItem?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"customerId": "xyz789",
"customerPartId": "xyz789",
"itemId": "xyz789",
"companyId": "xyz789",
"customerPartRevision": "string"
}POST
/customerPartToItemCreate a customer part to item
Create a new customer part to item.
Body parameters
customerIdstringrequiredcustomerPartIdstringrequiredcustomerPartRevisionstringitemIdstringrequiredcompanyIdstringrequiredReferences company.id
POST/customerPartToItem
curl --request POST \
--url <your-host>/customerPartToItem \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"customerId":"xyz789","customerPartId":"xyz789","itemId":"xyz789","companyId":"xyz789"}'Response
{
"id": "abc123def456",
"customerId": "xyz789",
"customerPartId": "xyz789",
"itemId": "xyz789",
"companyId": "xyz789",
"customerPartRevision": "string"
}PATCH
/customerPartToItemUpdate a customer part to item
Update an existing customer part to item, matched on `id`.
Body parameters
customerIdstringrequiredcustomerPartIdstringrequiredcustomerPartRevisionstringitemIdstringrequiredcompanyIdstringrequiredReferences company.id
PATCH/customerPartToItem
curl --request PATCH \
--url '<your-host>/customerPartToItem?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"customerId":"xyz789"}'Response
{
"id": "abc123def456",
"customerId": "xyz789",
"customerPartId": "xyz789",
"itemId": "xyz789",
"companyId": "xyz789",
"customerPartRevision": "string"
}DELETE
/customerPartToItemDelete a customer part to item
Delete a customer part to item, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the customer part to item to delete, e.g. `eq.{id}`.
DELETE/customerPartToItem
curl --request DELETE \
--url '<your-host>/customerPartToItem?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content